package envoy.event;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>EventHandler.java</strong><br>
 * Created: <strong>04.12.2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 */
public interface EventHandler {

	/**
	 * Consumes an event dispatched by the event bus.
	 *
	 * @param event The event dispatched by the event bus, only of supported type
	 */
	void handle(Event<?> event);
}
